Verify Contract (using Solidity metadata.json)
Smart Contract Verification API
Verify Contract (using Solidity metadata.json)
Endpoint to submit a verification with the Solidity metadata.json
POST
Verify Contract (using Solidity metadata.json)
Path Parameters
The chainId number of the EVM chain
Required string length:
1 - 20Pattern:
^\d+$Example:
"11155111"
Contract's 20 byte address in hex string with the 0x prefix. Case insensitive.
Required string length:
42Pattern:
(\b0x[a-fA-F0-9]{40}\b)Example:
"0x2738d13E81e30bC615766A0410e7cF199FD59A83"
Body
application/json
A mapping from file path to its content.
The hash of the transaction that created this contract. Optional.
Pattern:
(\b0x[a-f0-9]{64}\b)Example:
"0xb6ee9d528b336942dd70d3b41e2811be10a473776352009fd73f85604f5ed206"
Response
Successfully submitted the verification. The server started to process the verification.
You can follow the verification status via the returned verificationId at GET /v2/verify/{verificationId}